Bug 803579 - Drop down list in English typing booster appearing on other applications
Drop down list in English typing booster appearing on other applications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-european-table (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: anish
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 02:26 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 00:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Step 1: Typing a word in gedit (62.88 KB, image/png)
2012-03-15 02:27 EDT, Ani Peter
no flags Details
Step 1: Moving to nautilus while typing in gedit (91.54 KB, image/png)
2012-03-15 02:28 EDT, Ani Peter
no flags Details
Step 2: Moving to nautilus while typing in gedit (91.54 KB, image/png)
2012-03-15 02:29 EDT, Ani Peter
no flags Details
Step 3: Moving again to another application - terminal (108.74 KB, image/png)
2012-03-15 02:30 EDT, Ani Peter
no flags Details
Step 4: M\Going back to gedit for input (60.96 KB, image/png)
2012-03-15 02:31 EDT, Ani Peter
no flags Details

  None (edit)
Description Ani Peter 2012-03-15 02:26:11 EDT
Description of problem:
Try to input on any editor using English typing booster. Without completing the input (ie, not selecting any options from the drop down list), move to any other application/editor, and you can see the drop down list appears in that application/editor. Again when you move back to the original editor, you can see the drop down list, but in some other position. To explain better have attached screenshots and steps to reproduce it is below.

Version-Release number of selected component (if applicable):
english-typing-booster-0.0.2-1.fc17.noarch

How reproducible:
Always when using english-typing-booster

Steps to Reproduce:
1. Open an editor, eg: gedit and start typing a word.
2. Without completing the word, move to another application say nautilus or terminal
3. You can see the drop down list in the current application
4. Go back to gedit again, you can see the drop down list but in a different postion.
  
Actual results:
Explained above

Expected results:
The drop down list should remain in the editor only.


Additional info:
Comment 1 Ani Peter 2012-03-15 02:27:32 EDT
Created attachment 570174 [details]
Step 1: Typing a word in gedit
Comment 2 Ani Peter 2012-03-15 02:28:59 EDT
Created attachment 570176 [details]
Step 1: Moving to nautilus while typing in gedit
Comment 3 Ani Peter 2012-03-15 02:29:52 EDT
Created attachment 570177 [details]
Step 2: Moving to nautilus while typing in gedit
Comment 4 Ani Peter 2012-03-15 02:30:38 EDT
Created attachment 570178 [details]
Step 3: Moving again to another application - terminal
Comment 5 Ani Peter 2012-03-15 02:31:13 EDT
Created attachment 570179 [details]
Step 4: M\Going back to gedit for input
Comment 6 anish 2013-02-13 00:01:03 EST
Fixed in Fixed F18

Note You need to log in before you can comment on or make changes to this bug.